// 容器的 传统布局
export interface ContainerStyle {
    // 宽度
    width:string,
    // 高度
    height:string
}

// 容器的 Flex布局系列
export interface ContainerStyleFlex {
    // flex 布局 项目进行扩展的量
    flexGrow:number,

    // flex 布局 项目进行收缩的量
    flexShrink:number
}

// 滚动的轴距
export interface ContainerScrollStyle {

    // y 轴
    overflowY?:string,

    // x 轴
    overflowX?:string,

    paddingRight?:string,

    marginRight?:string,

    [propName:string]:any

}