interface ImageApi {

    [propertys:string]: ImageApiExportFunction

}


interface ImageExport {
    width: number | string,
    height: number | string,
    top ?: number | string,
    left ?: number | string,
    bottom ?: number | string,
    right ?: number | string
}

interface ImageParams {

    image: Size,

    container: Size

}

interface ImageApiExportFunction {
    (params:ImageParams): ImageExport
}
