import {
    createApp
} from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import 'ant-design-vue/dist/antd.css';
import popup from '$popup/popup-export/global';
import request from "$utils/request";


const app = createApp(App).use(store).use(router).use(popup).use(request).mount('#app')

