import { AgoraRTMIMStatus,AgoraRTMessage,AgoraRTPcMessage } from '$utils/socket/agoraRTM/agoraRTMIM';

enum RoomMessageType{
    // 系统消息
    system='room-chat-system',
    // 普通消息
    message='room-chat-message',
    // 进场消息
    entry='room-chat-entry'
}

let RoomChatType = {
    // 礼物或者普通消息
    [AgoraRTMessage.gift]: RoomMessageType.message,
    [AgoraRTMessage.chat]: RoomMessageType.message,
    [AgoraRTMessage.system]: RoomMessageType.system,
    [AgoraRTMessage.joinHome]: RoomMessageType.entry
}

export {
    RoomMessageType,
    RoomChatType
}