interface RouterPageMetaNavConfig {

    title:string,

    name?:string

}

interface RouterPageMetaConfig {

    // 是否显示头部 默认显示
    header?: boolean,

    // 是否显示底部 默认显示
    footer?:boolean,

    // 是否注入显示nav
    nav?: RouterPageMetaNavConfig

}

interface RouterPageConfig {
    // 组件
    component: Function | Object,
    // 名称
    name?:string,
    // 路径
    path?:string,
    // meta
    meta?:RouterPageMetaConfig

}