import {
    OrderButton
} from '../const/order';
let orderConfig = {

    // 联系陪玩
    [OrderButton.contact]:{
        label:'联系陪玩',
        color:'#C75BE6'
    },

    // 再来一单
    [OrderButton.oneMoreOrder]:{
        label:'再来一单',
        color:'linear-gradient(90deg, #FF9262, #EE833C)'
    },

    // 确定完成
    [OrderButton.complete]:{
        label:'确认完成'
    },

    // 评价
    [OrderButton.comment]:{
        label:'去评价'
    },

    // 待接单
    [OrderButton.received]:{
        label:'立即接单'
    },

    // 联系顾客
    [OrderButton.contactCustomer]:{
        label:'联系顾客',
        color:'#C75BE6'
    },

    // 取消订单
    [OrderButton.cancel]:{
        label:'取消订单',
        color:'#ff7875'
    }

} as { [key in OrderButton]?: LibData }

for (let key in orderConfig) {
    if (orderConfig.hasOwnProperty(key)) {
        orderConfig[key].status = key;
    }
}

export default orderConfig;