interface RequestConfig {

    // 成功的状态码
    successCode:Array<number>,

    // 数据模版
    dataTemplate?:Record<string, string | RequestConfigTemplate>,

    // 执行url
    baseURL?:string,

    // 分页标签
    pageOption?:{
        page:string,
        pageSize:string
    },

    // 用户 配置
    user?:{
        token:string
    },

    // 描述
    failMessage?:Record<string, string>

}

interface RequestConfigTemplate {
    (item:any,key:any,data:any):any
}