import { LibDataComponents } from '$utils/verification/const';

// import user from '$config/user';

export default function () {

    return {

        left: [
            {
                label: '封面（认证需要美观的真人头像，请按照右侧规范检查一下当前封面）',
                key: 'cover_image',
                rules: '请选择封面',
                component: LibDataComponents.upload,
                data:[
                    {
                        label:'标准头像',
                        icon:require('../images/1.png'),
                        status:true
                    },
                    {
                        label: '面部遮挡',
                        icon:require('../images/2.png'),
                    },
                    {
                        label: '面部遮挡',
                        icon:require('../images/3.png'),
                    },
                    {
                        label: '合照',
                        icon:require('../images/4.png'),
                    },
                    {
                        label: '网红',
                        icon:require('../images/5.png'),
                    },
                    {
                        label: '暴漏色情',
                        icon:require('../images/6.png'),
                    },
                    {
                        label: '带有文字',
                        icon:require('../images/7.png'),
                    },
                    {
                        label: '表情包',
                        icon:require('../images/8.png'),
                    }
                ]
            }
        ] as unknown as LibDataArray,

        right:[
            // {
            //     label: '昵称',
            //     key:'price',
            //     placeholder: '请输入昵称',
            //     value: user.user && user.user.nick_name,
            //     rules:''
            // },
            {
                label: '语音介绍',
                warringLabel:'请确认您的麦克风正常',
                key:'sound',
                // rules:'请录制语音介绍',
                component: LibDataComponents.audio
            },
            {
                label: '陪玩介绍',
                key:'introduction',
                placeholder: '不可涉黄，不可私自定价，可以介绍自己的特色技能，如游戏等级！',
                rules:'请输入陪玩介绍',
                component: LibDataComponents.textarea
            }
        ] as unknown as LibDataArray

    }

}