
interface URL {
    baseURL: string,
    baseApiURL: string
}

declare const enum ConfigModeEnum {
    default
}

type ConfigMode  = {
    [key in ConfigModeEnum]:URL
}


interface Config {

    // 安装
    install?:Function,

    // 当前页面的对象
    app:any | undefined,

    // 注册函数
    register: (vm:any)=>void,

    // 模式
    configMode?: ConfigMode,

    emoji?:Array,

    baseURL: string,

    baseApiURL: string,

    useRoutesName:Array<string>



}

