interface LibData extends TriggerData{

    // 显示名称
    label?: string,

    // 图标
    icon?: string,

    // 显示统计的输入length
    length?:number,

    // 是否限制最大maxLength
    maxLength?:number,

    // 使用key值
    key?: string,

    // 导出key
    exportKey?:string,

    // 值
    value?:any,

    // 显示使用值
    labelValue?:any,

    // 值的唯一标识
    valueKey?:string,

    // 规则
    rules?: LibDataRules | string,

    placeholder?: string,

    // 组件
    component?:string,

    // 校验规则配置
    rulesOption?:{
        data: LibData
    },

    [propName:string]:any

}

type LibDataArray = Array<LibData>;