enum AgoraStatus {
    // 无任何状态
    none,

    // 加入房间成功
    join,

    // 加入房间失败
    joinFail,

    // 订阅其他用户消息中 也可以理解为正常运行中
    listener,

    // 加入订阅中
    joinPublished,

    // 加入订阅成功
    published,

    // 加入订阅失败
    publishedFail,

    // 发生致命错误
    fail,

    // 麦克风未开启
    microphoneFail

}

enum AgoraEvent {
    // 状态发生变更
    status,
    // 初始化成功
    initialization,
    // 初始化失败
    fail
}

export {
    AgoraStatus,
    AgoraEvent
};
