enum OrderPayUseStatus {

    // 全部订单
    all='all',

    // 待接单
    orders='orders',

    // 进行中
    have='have',

    // 已完成
    completed='completed'
}

enum OrderPayUseStatusNumber {

    // 全部订单
    all,

    // 待接单
    orders,

    // 进行中
    have,

    // 已完成
    completed
}

enum OrderPayStatus {

    // 待接单
    orders=1,

    // 进行中
    have=2,

    // 已完成
    completed=3,

    // 已删除
    delete=-1,

    // 已取消
    cancel=-2,

    // 超时
    overtime=-3

}

enum OrderStatus {

    // 下单
    placeOrder,

    // 接单
    receivingOrder

}

enum OrderButton {


    // 联系陪玩
    contact,

    // 再来一单
    oneMoreOrder,

    // 确定完成
    complete,

    // 评价
    comment,

    // 接单
    received,

    // 联系顾客
    contactCustomer,

    // 取消订单
    cancel

}

export {
    OrderPayStatus,
    OrderStatus,
    OrderButton,
    OrderPayUseStatus,
    OrderPayUseStatusNumber
}