import {OrderStatus,OrderPayStatus,OrderButton} from "$utils/control/order/const/order";

import button from './button';

export default {

    // 下单
    [OrderStatus.placeOrder]:{

        [OrderPayStatus.orders] :[
            button[OrderButton.contact],
            button[OrderButton.cancel],
            // button[OrderButton.oneMoreOrder]
        ],

        [OrderPayStatus.have] :[
            button[OrderButton.contact],
            button[OrderButton.complete],
            // button[OrderButton.oneMoreOrder]
        ],

        [OrderPayStatus.completed] :[
            button[OrderButton.contact],
            button[OrderButton.comment],
            // button[OrderButton.oneMoreOrder]
        ],
    },

    // 接单
    [OrderStatus.receivingOrder]:{
        [OrderPayStatus.orders] :[
            button[OrderButton.contactCustomer],
            button[OrderButton.received]
        ],

        [OrderPayStatus.have] :[
            button[OrderButton.contactCustomer]
        ],

        [OrderPayStatus.completed] :[
            button[OrderButton.contactCustomer]
        ],
    }

}
