import {
    EntrustMode,
    EntrustType
} from './const';

import follow from './config/follow';

import followRoom from "./config/followRoom";

import fans from "./config/fans";

export default {

    // 针对列表委托的配置
    [EntrustMode.list]:{
        // 关注列表
        [EntrustType.follow]:follow,
        // 关注房间
        [EntrustType.followRoom]: followRoom,
        // 关注用户
        [EntrustType.fans]: fans
    }

}
